Discussions

Ask a Question

Latest Pritunl Error on RHEL7 with IPtables?

Hello, Just found my Pritunl setup running on CentOS 7 broke under the latest version. Previous running version was: pritunl-1.30.3043.48-1.el7.centos.x86_64 Latest version: pritunl-1.30.3058.49-1.el7.centos.x86_64 -- errors out with the python/IPtables error below: `[ancient-skies-5206][2022-01-27 00:23:30,149][INFO] Starting vpn server server_id = "" instance_id = "" instances = [] instances_count = 0 route_count = 11 network = "" network6 = "" host_id = "" host_address = "" host_address6 = "" host_networks = [""] cur_timestamp = "2022-01-27 00:23:30.149550" libipt = false [ancient-skies-5206][2022-01-27 00:23:30,569][ERROR] Server error occurred while running Traceback (most recent call last): File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/server/instance.py", line 1586, in _run_thread self.generate_iptables_rules() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/server/instance.py", line 669, in generate_iptables_rules self.iptables.generate() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/iptables.py", line 1115, in generate self._generate_sets() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/iptables.py", line 181, in _generate_sets self._delete_sets() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/iptables.py", line 1361, in _delete_sets ['ipset', 'destroy', name], File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/utils/misc.py", line 227, in check_call_silent process = subprocess.Popen(stdout=_null, stderr=_null, *args, **kwargs) File "/usr/lib64/python3.6/subprocess.py", line 729, in __init__ restore_signals, start_new_session) File "/usr/lib64/python3.6/subprocess.py", line 1364, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] No such file or directory: 'ipset': 'ipset' server_id = "" instance_id = "" [ancient-skies-5206][2022-01-27 00:23:30,580][ERROR] Server iptables clean up error Traceback (most recent call last): File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/server/instance.py", line 1802, in _run_thread self.iptables.clear_rules() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/iptables.py", line 1455, in clear_rules self._delete_sets() File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/iptables.py", line 1361, in _delete_sets ['ipset', 'destroy', name], File "/usr/lib/pritunl/lib/python3.6/site-packages/pritunl/utils/misc.py", line 227, in check_call_silent process = subprocess.Popen(stdout=_null, stderr=_null, *args, **kwargs) File "/usr/lib64/python3.6/subprocess.py", line 729, in __init__ restore_signals, start_new_session) File "/usr/lib64/python3.6/subprocess.py", line 1364, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] No such file or directory: 'ipset': 'ipset' server_id = "" instance_id = ""` also tried the next previous version, pritunl-1.30.3053.58-1.el7.centos.x86_64 with same errors, along with some troubleshooting around python version & IPtables... Was unable to get working, so had to revert to previous working pritunl-1.30.3043.48-1.el7.centos.x86_64 Any ideas? Guessing this may be running into some end of support issues for python 3.6 or RHEL7 based installs?

"[ERROR] Server iptables clean up error" since 1.30.3053.58

4.19.0-18-amd64 #1 SMP Debian 4.19.208-1 (2021-09-29) x86_64 GNU/Linux PRETTY_NAME="Debian GNU/Linux 10 (buster)" Downgrading to pritunl_1.30.3043.48-0debian1.buster_amd64 works as before. ``` Traceback (most recent call last): File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/server/instance.py", line 1586, in _run_thread self.generate_iptables_rules() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/server/instance.py", line 669, in generate_iptables_rules self.iptables.generate() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/iptables.py", line 1115, in generate self._generate_sets() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/iptables.py", line 181, in _generate_sets self._delete_sets() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/iptables.py", line 1361, in _delete_sets ['ipset', 'destroy', name], File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/utils/misc.py", line 227, in check_call_silent process = subprocess.Popen(stdout=_null, stderr=_null, *args, **kwargs) File "/usr/lib/python3.7/subprocess.py", line 775, in __init__ restore_signals, start_new_session) File "/usr/lib/python3.7/subprocess.py", line 1522, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] No such file or directory: 'ipset': 'ipset' [autumn-plains-4668][2022-01-27 05:11:40,732][ERROR] Server iptables clean up error Traceback (most recent call last): File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/server/instance.py", line 1802, in _run_thread self.iptables.clear_rules() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/iptables.py", line 1455, in clear_rules self._delete_sets() File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/iptables.py", line 1361, in _delete_sets ['ipset', 'destroy', name], File "/usr/lib/pritunl/lib/python3.7/site-packages/pritunl/utils/misc.py", line 227, in check_call_silent process = subprocess.Popen(stdout=_null, stderr=_null, *args, **kwargs) File "/usr/lib/python3.7/subprocess.py", line 775, in __init__ restore_signals, start_new_session) File "/usr/lib/python3.7/subprocess.py", line 1522, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] No such file or directory: 'ipset': 'ipset' ```

No auditing logs in Influxdb after upgrade

pritunl stop string influxdb pritunl.autogen.pritunl_user_connections table logs after upgrading the pritunl and influxdb using an apt upgrade. I am an enterprise user.

Where is pritunl-ndppd for bullseye?

Hello! I could not install pritunl on Debian bullseye cause of package pritunl-ndppd is missing. Regards, Alex.

Every DNS request is being sent to the internal VPN DNS

Every DNS request is being sent to the internal VPN DNS. I want to resolve only specific domains internally, and the rest the client itself resolves locally. I found some information about Split-DNS in the Openvpn documentation, but I don't know how to configure it in Pritunl. Does anyone have any suggestions?

High LA when VPN servers are updating

Hello. We have a couple dozen of VPN servers and we have more than 100 VPN clients so when we add new routes or change current ones LA of VM, where Pritunl was be setuped, growing up and another VPN servers may shutting off with error `Server stopped unexpectedly` We use lib_iptables on VM with 16 cores on Centos 8 Stream, also we tried disable lib_iptables but we still faced the problem with `Server stopped unexpectedly`

block connections to the TOR network

Hello, could you give me an idea of how to block connections to the TOR network? or some way to identify which user is connecting to a tor network?

Pritunl dont start anymore after upgrade Debian 10 to 11

Hello, i upgrade my server from Debian 10 to 11 and Pritunl dont start anymore. I got error "encodings", i fix it with ubuntu repo, but now i get "importlib.metadata.PackageNotFoundError: pritunl" error. Any official fix/update for this?

several connection from github actions failed

I don't know why but when several github actions connect to my pritunl server using openvpn client most of them fail to connect, I modified the two sets: / usr / bin / pritunl set app.auth_limiter_ttl / usr / bin / pritunl set app.auth_limiter_count_max but I still have the same problem **** Authenticate/Decrypt packet error: packet HMAC authentication failed **** TLS Error: incoming packet authentication failed from [AF_INET6]::ffff:**** **** Fatal TLS error (check_tls_errors_co), restarting

Cannot start Pritunl -- Missing Python Modules

I get the following errors when trying to start Pritunl ec 30 20:39:22 pritunl[1690]: File "/usr/lib/pritunl/bin/pritunl", line 13, in <module> Dec 30 20:39:22 pritunl[1690]: from importlib_metadata import distribution Dec 30 20:39:22 pritunl[1690]: ModuleNotFoundError: No module named 'importlib_metadata' Dec 30 20:39:22 pritunl[1690]: During handling of the above exception, another exception occurred: Dec 30 20:39:22 pritunl[1690]: Traceback (most recent call last): Dec 30 20:39:22 pritunl[1690]: File "/usr/lib/pritunl/bin/pritunl", line 15, in <module> Dec 30 20:39:22 pritunl[1690]: from pkg_resources import load_entry_point Dec 30 20:39:22 pritunl[1690]: ModuleNotFoundError: No module named 'pkg_resources I tried installing the various modules (importlib_metadata, pkg_resources) without success. Any assistance would be greatly appreciated.